com.impinj.octane

## Class KeepaliveConfig

- java.lang.Object
- - com.impinj.octane.KeepaliveConfig

-     public class KeepaliveConfig
      extends java.lang.Object

  A class to hold the settings of the keepalive feature
  See Also:
    `Settings.getKeepalives()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeepaliveConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getEnabled()`
    `java.lang.Boolean` | `getEnableLinkMonitorMode()` In Link monitor mode, the reader will monitor keep alive responses from the SDk and close the connection if they are missed.
    `int` | `getLinkDownThreshold()` In Link monitoring mode, this setting determines how many keep alives can be missed before the connection closes.
    `long` | `getPeriodInMs()`
    `void` | `setEnabled(java.lang.Boolean enabled)`
    `void` | `setEnableLinkMonitorMode(java.lang.Boolean enableLinkMonitorMode)` In Link monitor mode, the reader will monitor keep alive responses from the SDk and close the connection if they are missed.
    `void` | `setLinkDownThreshold(int linkDownThreshold)` In Link monitoring mode, this setting determines how many keep alives can be missed before the connection closes.
    `void` | `setPeriodInMs(long periodInMs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeepaliveConfig

          public KeepaliveConfig()

  - ### Method Detail

    - #### getEnabled

          public java.lang.Boolean getEnabled()

      Returns:
        true if keep alives are enabled

    - #### setEnabled

          public void setEnabled(java.lang.Boolean enabled)

      Parameters:
        `enabled` - true to enable

    - #### getPeriodInMs

          public long getPeriodInMs()

      Returns:
        how long in between reader keepalives

    - #### setPeriodInMs

          public void setPeriodInMs(long periodInMs)

      Parameters:
        `periodInMs` - how long in between reader keepalives

    - #### getEnableLinkMonitorMode

          public java.lang.Boolean getEnableLinkMonitorMode()

      In Link monitor mode, the reader will monitor keep alive responses from the SDk and close the connection if they are missed.
      Returns:
        true if link monitor mode is enabled

    - #### setEnableLinkMonitorMode

          public void setEnableLinkMonitorMode(java.lang.Boolean enableLinkMonitorMode)

      In Link monitor mode, the reader will monitor keep alive responses from the SDk and close the connection if they are missed.
      Parameters:
        `enableLinkMonitorMode` - true if link monitor mode is enabled

    - #### getLinkDownThreshold

          public int getLinkDownThreshold()

      In Link monitoring mode, this setting determines how many keep alives can be missed before the connection closes.
      Returns:
        the number of keepalives that can be missed before close

    - #### setLinkDownThreshold

          public void setLinkDownThreshold(int linkDownThreshold)

      In Link monitoring mode, this setting determines how many keep alives can be missed before the connection closes.
      Parameters:
        `linkDownThreshold` - the number of keepalives that can be missed before close